import 'package:flutter/material.dart';

// DropdownContainer - Wraps a DropdownButtonFormField inside a Container
class DropdownContainer extends StatelessWidget {
  final EdgeInsets containerPadding;
  final double containerHeight;
  final dynamic value;
  final InputBorder border;
  final Function onChanged;
  final List<DropdownMenuItem> items;

  DropdownContainer({
    this.value,
    this.onChanged,
    this.items,
    // ignore: non_constant_default_value
    this.containerPadding = EdgeInsets.only(left: 15.0, right: 15.0),
    // ignore: non_constant_default_value
    this.border = OutlineInputBorder(),
    this.containerHeight = 60.0,
  });
  
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: containerPadding,
      height: containerHeight,
      child: DropdownButtonFormField(
        value: value,
        decoration: InputDecoration(
          border: border,
        ),
        onChanged: onChanged,
        items: items,
      ),
    );
  }
}